## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# DOMStringPrintWriter Class Reference

Inheritance diagram for DOMStringPrintWriter:

[legend]
Collaboration diagram for DOMStringPrintWriter:

[legend]
List of all members.

## Public Member Functions

- DOMStringPrintWriter (XalanDOMString &theString)
- virtual ~DOMStringPrintWriter ()
- XalanDOMString & getString () const
- void setString (XalanDOMString &newString)
- virtual bool checkError () const
    Flush the stream, then check the error status.
- virtual void close ()
    Close the stream.
- virtual void flush ()
    Flush the stream.
- virtual void write (const char *s, size_t theOffset=0, size_t theLength=npos)
    Writes a string.
- virtual void write (const XalanDOMChar *s, XalanDOMString::size_type theOffset=0, XalanDOMString::size_type theLength=XalanDOMString::npos)
    Writes a string.
- virtual void write (XalanDOMChar c)
    Writes a character.
- virtual void write (const XalanDOMString &s, XalanDOMString::size_type theOffset=0, XalanDOMString::size_type theLength=XalanDOMString::npos)
    Writes a string.
- virtual void print (bool b)
- virtual void print (char c)
- virtual void print (const char *s, size_t theLength=npos)
- virtual void print (const XalanDOMChar *s, XalanDOMString::size_type theLength=XalanDOMString::npos)
- virtual void print (double d)
- virtual void print (int i)
- virtual void print (long l)
- virtual void print (const XalanDOMString &s)
- virtual void println ()
- virtual void println (bool x)
- virtual void println (char x)
- virtual void println (const char *s, size_t theLength=npos)
- virtual void println (const XalanDOMChar *s, XalanDOMString::size_type theLength=XalanDOMString::npos)
- virtual void println (double x)
- virtual void println (int x)
- virtual void println (long x)
- virtual void println (const XalanDOMString &s)

## Protected Attributes

- XalanDOMString * m_outputString

## Constructor & Destructor Documentation

DOMStringPrintWriter::DOMStringPrintWriter | ( | XalanDOMString & | theString | ) |

virtual DOMStringPrintWriter::~DOMStringPrintWriter | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool DOMStringPrintWriter::checkError | ( |  | ) | const`[virtual]`

Flush the stream, then check the error status.

Returns:
  true if no errors

Implements PrintWriter.

virtual void DOMStringPrintWriter::close | ( |  | ) | `[virtual]`

| Close the stream. Implements PrintWriter.

virtual void DOMStringPrintWriter::flush | ( |  | ) | `[virtual]`

| Flush the stream. Implements PrintWriter.

XalanDOMString& DOMStringPrintWriter::getString | ( |  | ) | const

virtual void DOMStringPrintWriter::print | ( | const XalanDOMString & | s | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::print | ( | long | l | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::print | ( | int | i | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::print | ( | double | d | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::print | ( | const XalanDOMChar * | s,
|  | XalanDOMString::size_type | theLength = XalanDOMString::npos
| ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::print | ( | const char * | s,
|  | size_t | theLength = npos
| ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::print | ( | char | c | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::print | ( | bool | b | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::println | ( | const XalanDOMString & | s | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::println | ( | long | x | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::println | ( | int | x | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::println | ( | double | x | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::println | ( | const XalanDOMChar * | s,
|  | XalanDOMString::size_type | theLength = XalanDOMString::npos
| ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::println | ( | const char * | s,
|  | size_t | theLength = npos
| ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::println | ( | char | x | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::println | ( | bool | x | ) | `[virtual]`

| Implements PrintWriter.

virtual void DOMStringPrintWriter::println | ( |  | ) | `[virtual]`

| Implements PrintWriter.

void DOMStringPrintWriter::setString | ( | XalanDOMString & | newString | ) |

virtual void DOMStringPrintWriter::write | ( | const XalanDOMString & | s,
|  | XalanDOMString::size_type | theOffset = 0,
|  | XalanDOMString::size_type | theLength = XalanDOMString::npos
| ) | `[virtual]`

Writes a string.

Parameters:

  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is XalanDOMString::npos, then the entire string is printed.

Implements PrintWriter.

virtual void DOMStringPrintWriter::write | ( | XalanDOMChar | c | ) | `[virtual]`

Writes a character.

Parameters:

  c | character to write

Implements PrintWriter.

virtual void DOMStringPrintWriter::write | ( | const XalanDOMChar * | s,
|  | XalanDOMString::size_type | theOffset = 0,
|  | XalanDOMString::size_type | theLength = XalanDOMString::npos
| ) | `[virtual]`

Writes a string.

Parameters:

  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is XalanDOMString::npos, then the array is assumed to be null-terminated.

Implements PrintWriter.

virtual void DOMStringPrintWriter::write | ( | const char * | s,
|  | size_t | theOffset = 0,
|  | size_t | theLength = npos
| ) | `[virtual]`

Writes a string.

Parameters:

  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is npos, then the array is assumed to be null-terminated.

Implements PrintWriter.

## Member Data Documentation

XalanDOMString* DOMStringPrintWriter::m_outputString`[protected]`

The documentation for this class was generated from the following file:

- DOMStringPrintWriter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.